[PATCH] Fix rebase interactive to allow specifying branch to rebase along with the base

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



Signed-off-by: Alex Riesen <raa.lkml@xxxxxxxxx>
---
 git-rebase--interactive.sh |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Alex Riesen, Wed, Aug 01, 2007 23:45:56 +0200:
>     $ git rebase -i base branch
>     /usr/local/bin/git-rebase--interactive: 482: cannot create /home/user/projects/tmp/.git/.dotest-merge/output: Directory nonexistent
>     cat: /home/user/projects/tmp/.git/.dotest-merge/output: No such file or directory
>     Invalid branchname: branch

Oh... Sometimes I can *very* slow. I believe it is as simple as that

 git-rebase--interactive.sh |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/git-rebase--interactive.sh b/git-rebase--interactive.sh
index 061cd0a..b42dee8 100755
--- a/git-rebase--interactive.sh
+++ b/git-rebase--interactive.sh
@@ -404,6 +404,7 @@ do
 		esac
 
 		require_clean_work_tree
+		mkdir "$DOTEST" || die "Could not create temporary $DOTEST"
 
 		if test ! -z "$2"
 		then
@@ -418,7 +419,6 @@ do
 
 		test -z "$ONTO" && ONTO=$UPSTREAM
 
-		mkdir "$DOTEST" || die "Could not create temporary $DOTEST"
 		: > "$DOTEST"/interactive || die "Could not mark as interactive"
 		git symbolic-ref HEAD > "$DOTEST"/head-name ||
 			die "Could not get HEAD"
-- 
1.5.3.rc3.123.ge9877


-
To unsubscribe from this list: send the line "unsubscribe git" in
the body of a message to majordomo@xxxxxxxxxxxxxxx
More majordomo info at  http://vger.kernel.org/majordomo-info.html

[Index of Archives]     [Linux Kernel Development]     [Gcc Help]     [IETF Annouce]     [DCCP]     [Netdev]     [Networking]     [Security]     [V4L]     [Bugtraq]     [Yosemite]     [MIPS Linux]     [ARM Linux]     [Linux Security]     [Linux RAID]     [Linux SCSI]     [Fedora Users]

  Powered by Linux